function removestats(path, prefix,solver)

d     = dir(sprintf('%s%s%s*.mat',path,filesep,prefix));
n     = length(prefix);
stats = {};

fn    = {};

for i=1:length(d)
    % check if filename is valid
    j = str2num(d(i).name(n+1:end-4));
    if ~isempty(j)
        s = load(sprintf('%s%s%s',path,filesep,d(i).name));
        if strcmp(s.stats.solver,solver)
           fn{end+1} = d(i).name;
        end
    end
end

if length(fn) ~= 0
    fnx = ''; if length(fn) > 1, fnx = 's'; end;
    qn = sprintf('Delete %d file%s from %s? [''yes''/''no''] : ',length(fn),fnx,path);
    r  = input(qn);
    if strcmp(r,'yes')
        for i=1:length(fn)
           delete(sprintf('%s%s%s',path,filesep,fn{i}));
        end        
    end
end
